using Player.MJPEG;

namespace SHH.MjpegPlayer
{
    /// <summary>
    /// MjpegImagesService 服务
    /// </summary>
    public class MjpegImagesService : CoreImagesService, IMjpegImagesService
    {
        #region GetRtspRtcPlayInfo

        /// <summary>
        /// 获取 RtspRtc 播放信息
        /// </summary>
        /// <returns></returns>
        public MjpegPlayInfoReply GetRtspRtcPlayInfo()
        {
            var reply = new MjpegPlayInfoReply();

            // 发送消息
            PrismMsg<MjpegPlayInfoReply>.Publish(reply);

            return reply;
        }

        #endregion
    }
}